FileSystemBasedConfigurationProvider (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn, class: FileSystemBasedConfigurationProvider

Package org.apache.hadoop.yarn

# Class FileSystemBasedConfigurationProvider

java.lang.Object
org.apache.hadoop.yarn.conf.ConfigurationProvider
org.apache.hadoop.yarn.FileSystemBasedConfigurationProvider

@Private @Unstable public class FileSystemBasedConfigurationProvider extends org.apache.hadoop.yarn.conf.ConfigurationProvider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileSystemBasedConfigurationProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `closeInternal()`
  `org.apache.hadoop.fs.Path`
  `getConfigDir()`
  `InputStream`
  `getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf, String name)`
  `org.apache.hadoop.fs.FileSystem`
  `getFs()`
  `void`
  `initInternal(org.apache.hadoop.conf.Configuration bootstrapConf)`

  ### Methods inherited from class org.apache.hadoop.yarn.conf.ConfigurationProvider

  `close, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileSystemBasedConfigurationProvider

    public FileSystemBasedConfigurationProvider()

- ## Method Details

  - ### getConfigurationInputStream

    public InputStream getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf, String name) throws IOException, org.apache.hadoop.yarn.exceptions.YarnException
    Specified by:
      `getConfigurationInputStream` in class `org.apache.hadoop.yarn.conf.ConfigurationProvider`
    Throws:
      `IOException`
      `org.apache.hadoop.yarn.exceptions.YarnException`

  - ### initInternal

    public void initInternal(org.apache.hadoop.conf.Configuration bootstrapConf) throws Exception
    Specified by:
      `initInternal` in class `org.apache.hadoop.yarn.conf.ConfigurationProvider`
    Throws:
      `Exception`

  - ### closeInternal

    public void closeInternal() throws Exception
    Specified by:
      `closeInternal` in class `org.apache.hadoop.yarn.conf.ConfigurationProvider`
    Throws:
      `Exception`

  - ### getFs

    public org.apache.hadoop.fs.FileSystem getFs()

  - ### getConfigDir

    public org.apache.hadoop.fs.Path getConfigDir()